## virtualbox-hwe 7.0.6-dfsg

=== debian/changelog ===
virtualbox-hwe (7.0.6-dfsg-1ubuntu1.23.04.1) lunar; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Jan 2023 12:19:10 +0100

virtualbox (7.0.6-dfsg-1) unstable; urgency=medium

  * New upstream version 7.0.6-dfsg (Closes: #1029153)
  * Refresh patches, drop upstream patches
  * Update manpages

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Jan 2023 12:16:26 +0100

virtualbox-hwe (7.0.4-dfsg-5ubuntu1.23.04.1) lunar; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Dec 2022 15:00:05 +0100

virtualbox (7.0.4-dfsg-5) unstable; urgency=medium

  * Add patch to support default python3.11

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Dec 2022 14:58:27 +0100

virtualbox-hwe (7.0.4-dfsg-4ubuntu1.23.04.1) lunar; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Nov 2022 09:28:54 +0100

virtualbox (7.0.4-dfsg-4) unstable; urgency=medium

  * Add nother patch to finally make javadoc compile

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Nov 2022 09:27:41 +0100

virtualbox-hwe (7.0.4-dfsg-3ubuntu1.23.04.1) lunar; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Nov 2022 21:36:06 +0100

virtualbox (7.0.4-dfsg-3) unstable; urgency=medium

  * debian/patches/diff-trunk-from-97685-to-97687.patch:
    - Add new patch to fix another failure due to java 17

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Nov 2022 21:34:52 +0100

virtualbox-hwe (7.0.4-dfsg-2ubuntu1.23.04.1) lunar; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Nov 2022 09:02:38 +0100

virtualbox (7.0.4-dfsg-2) unstable; urgency=medium

  * debian/patches/changeset_97677.patch:
    - Fix build failure with openjdk 17 with upstream patch.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Nov 2022 08:56:54 +0100

virtualbox-hwe (7.0.4-dfsg-1ubuntu1.23.04.1) lunar; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Nov 2022 10:22:16 +0100

virtualbox (7.0.4-dfsg-1) unstable; urgency=medium

  * Upload to sid
  * New upstream version 7.0.4-dfsg
  * Drop opus, not needed anymore
  * Patch refresh, drop two patches now upstream:
    - fix-build.patch
    - system-libs.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Nov 2022 10:12:38 +0100

virtualbox (7.0.2-dfsg-2) experimental; urgency=medium

  * Fix qt5 tools dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 31 Oct 2022 08:12:58 +0100

virtualbox (7.0.2-dfsg-1) experimental; urgency=medium

  * Bump copyright years
  * Refresh patches, drop latex patch: upstream
  * Conflict with virtualbox-7.0
  * License is now GPL-3
  * add new libs
  * Add patch to fix build, but also disable VBOX_WITH_HOST_SHIPPING_AUDIO_TEST= VBOX_WITH_VALIDATIONKIT=
  * Drop new embedded libs from tarball
  * New upstream version 7.0.2-dfsg
  * Bump std-version to 4.6.1
  * Add VBOXSDL back, default changed from new upstream release
  * Drop Vboxtunctl and rdesktop-vrdp from build, removed upstream
  * Update manpages for new release
  * Refresh patches
  * Add new patch to use system libraries for tpms, vorbis, ogg
  * Drop wiki outdated page
  * Enable new system libraries

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 30 Oct 2022 15:34:16 +0100

virtualbox-hwe (6.1.40-dfsg-1ubuntu1.23.04.1) lunar; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 Nov 2022 21:18:17 +0100

=== debian/control ===
Source: virtualbox-hwe
Section: contrib/misc
Priority: optional
Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
           Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: bzip2,
               debhelper-compat (= 12),
               default-jdk,
               jaxws,
               dh-python,
               dh-sequence-dkms,
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.15.6~),
               g++-multilib,
               genisoimage,
               glslang-tools,
               gsoap,
               acpica-tools,
               kbuild (>= 1:0.1.9998svn3098~),
               libasound2-dev,
               libcap-dev,
               libcurl4-gnutls-dev,
               libdevmapper-dev,
               libdrm-dev,
               libegl1-mesa-dev,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libgsoap-dev,
               liblzf-dev,
               libidl-dev,
               libogg-dev,
               libpam0g-dev,
               libpixman-1-dev,
               libpng-dev,
               libpulse-dev,
               libqt5x11extras5-dev,
               libqt5opengl5-dev,
               qttools5-dev,
               libsdl1.2-dev,
               libssl-dev,
               libtpms-dev,
               libvncserver-dev,
               libvorbis-dev,
               libvpx-dev,
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxml2-dev,
               libxml2-utils,
               libxmu-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               lsb-release,
               lynx,
               makeself,
               module-assistant,
               nasm,
               python3-dev,
               texlive-fonts-extra,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               uuid-dev,
               x11proto-gl-dev,
               x11proto-xf86dri-dev,
               xserver-xorg-dev-hwe-18.04,
               xsltproc,
               yasm,
               zlib1g-dev
X-Python-Version: >= 2.5
Standards-Version: 4.6.1
Rules-Requires-Root: binary-targets
Homepage: https://www.virtualbox.org
Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/virtualbox
Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/virtualbox.git
Testsuite: autopkgtest-pkg-dkms

#Package: virtualbox-qt
#Architecture: amd64
#Depends: virtualbox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
#Breaks: virtualbox (<< 4.1.6-dfsg-2~)
#Replaces: virtualbox (<< 4.1.6-dfsg-2~)
#Description: x86 virtualization solution - Qt based user interface
# VirtualBox is a free x86 virtualization solution allowing a wide range
# of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
# Linux system.
# .
# This package provides the Qt based graphical user interface for VirtualBox.
#
#Package: virtualbox
#Architecture: amd64
#Depends: adduser,
#         iproute2,
#         procps,
#         virtualbox-dkms (>= ${source:Version}) | virtualbox-source (>= ${source:Version}) | virtualbox-modules,
#         ${misc:Depends},
#         ${python3:Depends},
#         ${shlibs:Depends}
#Recommends: virtualbox-qt (= ${binary:Version}), ${shlibs:Recommends}
#Suggests: vde2, virtualbox-guest-additions-iso
#Conflicts: virtualbox-2.0,
#           virtualbox-2.1,
#           virtualbox-2.2,
#           virtualbox-3.0,
#           virtualbox-3.1,
#           virtualbox-3.2,
#           virtualbox-4.0,
#           virtualbox-4.1,
#           virtualbox-4.2,
#           virtualbox-4.3,
#           virtualbox-5.0,
#           virtualbox-5.1,
#           virtualbox-5.2,
#           virtualbox-6.0,
#           virtualbox-6.1,
#           virtualbox-7.0,
#Description: x86 virtualization solution - base binaries
# VirtualBox is a free x86 virtualization solution allowing a wide range
# of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
# Linux system.
# .
# This package provides the binaries for VirtualBox. Either the virtualbox-dkms
# or the virtualbox-source package is also required in order to compile the
# kernel modules needed for virtualbox. A graphical user interface for
# VirtualBox is provided by the package virtualbox-qt.
#
#Package: virtualbox-dkms
#Section: contrib/kernel
#Architecture: amd64
#Depends: ${misc:Depends}
#Recommends: virtualbox (>= ${source:Version})
#Provides: virtualbox-modules
#Description: x86 virtualization solution - kernel module sources for dkms
# VirtualBox is a free x86 virtualization solution allowing a wide range
# of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
# Linux system.
# .
# This package provides the source code for the virtualbox kernel module to be
# build with dkms. Kernel sources or headers are required to compile this
# module.
#
#Package: virtualbox-source
#Section: contrib/kernel
#Architecture: amd64
#Depends: build-essential,
#         bzip2,
#         debhelper-compat (= 12),
#         kbuild,
#         module-assistant,
#         ${misc:Depends}
#Recommends: virtualbox (>= ${source:Version})
#Description: x86 virtualization solution - kernel module source
# VirtualBox is a free x86 virtualization solution allowing a wide range
# of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
# Linux system.
# .
# This package provides the source code for the virtualbox kernel module.
# The virtualbox package is also required in order to make use of these
# modules. Kernel sources or headers are required to compile this module.
# .
# The source is placed under /usr/src, and after decompression it can
# be built to produce a virtualbox-modules-_KVERS_ providing
# "virtualbox-modules" package.

Package: virtualbox-guest-x11-hwe
Section: contrib/x11
Architecture: amd64 i386
Depends: libnotify-bin,
         x11-xserver-utils,
         virtualbox-guest-utils-hwe (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${xserver:Depends}
Replaces: virtualbox-guest-x11
Provides: xorg-driver-video,
          virtualbox-guest-x11
Conflicts: virtualbox-guest-x11
XB-Modaliases: ${modaliases}
Description: x86 virtualization solution - X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the X11 guest utilities for VirtualBox. These utilities
 are meant to be run inside the virtual machine.
 They provide closer integration and improve the interactive performance.

Package: virtualbox-guest-utils-hwe
Architecture: amd64 i386
Depends: adduser,
         pciutils,
         ${misc:Depends},
         ${shlibs:Depends}
#Conflicts: time-daemon, ntp
#Provides: time-daemon
#Replaces: time-daemon
Suggests: virtualbox-guest-x11-hwe (= ${binary:Version})
Replaces: virtualbox-guest-utils
Provides: virtualbox-guest-utils
Conflicts: virtualbox-guest-utils
Description: x86 virtualization solution - non-X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the non-X11 guest utilities for VirtualBox. These
 utilities are meant to be run inside the virtual machine.
 They provide closer integration and allow to share data through shared folders
 between the host system and the virtual machine.

## virtualbox-hwe 7.0.10-dfsg

=== debian/changelog ===
virtualbox-hwe (7.0.10-dfsg-3ubuntu1.23.10.1) mantic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Aug 2023 11:31:08 +0200

virtualbox (7.0.10-dfsg-3) unstable; urgency=medium

  * {100436,100653,100677,100799,100800}.patch
    - cherry-pick upstream fixes for kernel 6.5
  * virtualbox-modules-7.0.10-kernel-6.4.10.patch
    - cherry-pick gentoo fix for kernel 6.4.10 (Closes: #1050096)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Aug 2023 10:52:23 +0200

virtualbox-hwe (7.0.10-dfsg-2ubuntu1.23.10.1) mantic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Jul 2023 17:21:33 +0200

virtualbox (7.0.10-dfsg-2) unstable; urgency=medium

  * Add patch to fix gcc-13 related build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Jul 2023 17:16:24 +0200

virtualbox-hwe (7.0.10-dfsg-1ubuntu1.23.10.1) mantic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Jul 2023 13:56:51 +0200

virtualbox (7.0.10-dfsg-1) unstable; urgency=medium

  * Refresh patches with upstream versions
  * New upstream version 7.0.10-dfsg
  * refresh patches, drop python3.11 and lzma patches,
    now part of upstream codebase

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Jul 2023 17:16:20 +0200

virtualbox (7.0.8-dfsg-2) unstable; urgency=medium

  * Fixup typo in patch.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Apr 2023 23:11:50 +0200

virtualbox (7.0.8-dfsg-1) unstable; urgency=medium

  * New upstream version 7.0.8-dfsg
  * Add patch to use system lzma library
  * Update copyright file
  * Add dependencies on libsdl2-dev and liblzma-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Apr 2023 10:56:07 +0200

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
                libglu1-mesa-dev,
                libgsoap-dev,
                liblzf-dev,
+               liblzma-dev,
                libidl-dev,
                libogg-dev,
                libpam0g-dev,
@@ -39,6 +40,7 @@
                libqt5opengl5-dev,
                qttools5-dev,
                libsdl1.2-dev,
+               libsdl2-dev,
                libssl-dev,
                libtpms-dev,
                libvncserver-dev,

## virtualbox-hwe 7.0.12-dfsg

=== debian/changelog ===
virtualbox-hwe (7.0.12-dfsg-1~ubuntu1.23.10.1) mantic; urgency=medium

  * SRU the latest package for Ubuntu mantic (LP: #2017101).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 16 Sep 2023 08:46:48 +0200

virtualbox (7.0.12-dfsg-1~ubuntu1.23.10.1) mantic; urgency=medium

  * SRU the latest package for Ubuntu mantic (LP: #2017101).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 16 Sep 2023 08:46:11 +0200

virtualbox (7.0.12-dfsg-1) unstable; urgency=medium

  * New upstream version 7.0.12-dfsg
  * Refresh patches
  * Drop patches now part of upstream codebase: 
    {100436,100653,100677,100799,100800,
    virtualbox-modules-7.0.10-kernel-6.4.10}.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Oct 2023 13:22:21 +0200

## virtualbox-hwe 7.0.14-dfsg

=== debian/changelog ===
virtualbox-hwe (7.0.14-dfsg-1~ubuntu1.23.10.1) mantic; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jan 2024 13:53:18 +0100

virtualbox (7.0.14-dfsg-1~ubuntu1.23.10.1) mantic; urgency=medium

  * SRU the latest package for Ubuntu mantic (LP: #2050891).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jan 2024 13:46:45 +0100

virtualbox-hwe (7.0.14-dfsg-1ubuntu1.24.04.1) noble; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Jan 2024 10:06:54 +0100

virtualbox (7.0.14-dfsg-1) unstable; urgency=medium

  * Bump kbuild dependency to fix an SDL related build failure
  * Update get-orig-source.sh script
  * New upstream version 7.0.14-dfsg
  * Update copyright years
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Jan 2024 09:59:13 +0100

virtualbox-hwe (7.0.12-dfsg-1ubuntu1.24.04.1) noble; urgency=medium

  * Build only the guest-* packages with hwe stack

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Jan 2024 09:49:39 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                glslang-tools,
                gsoap,
                acpica-tools,
-               kbuild (>= 1:0.1.9998svn3098~),
+               kbuild (>= 1:0.1.9998svn3589~),
                libasound2-dev,
                libcap-dev,
                libcurl4-gnutls-dev,

## virtualbox-hwe 7.0.16

=== src/VBox/Additions/freebsd/Makefile ===
#
# Makefile for the VirtualBox FreeBSD Guest Drivers.
#

#
# Copyright (C) 2009-2023 Oracle and/or its affiliates.
#
# This file is part of VirtualBox base platform packages, as
# available from https://www.virtualbox.org.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, in version 3 of the
# License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <https://www.gnu.org/licenses>.
#
# SPDX-License-Identifier: GPL-3.0-only
#

KBUILD_VERBOSE =

all:
	@echo "=== Building 'vboxguest' module ==="
	@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxguest
	@if [ -f vboxguest/vboxguest.ko ]; then \
	    cp vboxguest/vboxguest.ko .; \
	 fi
	@echo
	@if [ -d vboxvfs ]; then \
	    echo "=== Building 'vboxvfs' module ==="; \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxvfs; \
	    if [ -f vboxvfs/vboxvfs.ko ]; then \
	        cp vboxvfs/vboxvfs.ko .; \
	    fi; \
	fi


install:
	@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxguest install
	@if [ -d vboxvfs ]; then \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxvfs install; \
	fi

clean:
	@$(MAKE) -C vboxguest clean
	@if [ -d vboxvfs ]; then \
	    $(MAKE) -C vboxvfs clean; \
	fi
	rm -f vboxguest.*o vboxvfs.*o

load:
	@/sbin/kldunload vboxvfs || true
	@/sbin/kldunload vboxguest || true
	@/sbin/kldload ./vboxguest.ko
	@if [ -f vboxvfs.ko ]; then /sbin/kldload ./vboxvfs.ko; fi

=== src/VBox/Frontends/Common/VBoxKeyboard/Makefile ===
# $Id: Makefile $
## @file
# Makefile for building the VirtualBox keyboard handler library.
#

# Note that for reasons of convenience, VirtualBox builds this library
# from inside its own build system rather than using this file.

#
# Copyright (C) 2007-2023 Oracle and/or its affiliates.
#
# This file is part of VirtualBox base platform packages, as
# available from https://www.virtualbox.org.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, in version 3 of the
# License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <https://www.gnu.org/licenses>.
#
# SPDX-License-Identifier: GPL-3.0-only
#

CFLAGS = -I. -fPIC

VBoxKeyboard.so : keyboard.o
	gcc -shared -o VBoxKeyboard.so keyboard.o -lX11

=== src/VBox/HostDrivers/Support/linux/Makefile ===
# $Id: Makefile $
## @file
# Makefile for the VirtualBox Linux Host Driver.
#

#
# Copyright (C) 2006-2023 Oracle and/or its affiliates.
#
# This file is part of VirtualBox base platform packages, as
# available from https://www.virtualbox.org.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, in version 3 of the
# License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <https://www.gnu.org/licenses>.
#
# The contents of this file may alternatively be used under the terms
# of the Common Development and Distribution License Version 1.0
# (CDDL), a copy of it is provided in the "COPYING.CDDL" file included
# in the VirtualBox distribution, in which case the provisions of the
# CDDL are applicable instead of those of the GPL.
#
# You may elect to license modified versions of this file under the
# terms and conditions of either the GPL or the CDDL or both.
#
# SPDX-License-Identifier: GPL-3.0-only OR CDDL-1.0
#

# Linux kbuild sets this to our source directory if we are called from there
obj ?= $(CURDIR)
include $(obj)/Makefile-header.gmk
VBOXDRV_DIR := $(VBOX_MODULE_SRC_DIR)

VBOXMOD_NAME = vboxdrv
VBOXMOD_OBJS = \
	linux/SUPDrv-linux.o \
	SUPDrv.o \
	SUPDrvGip.o \
	SUPDrvSem.o \
	SUPDrvTracer.o \
	SUPLibAll.o \
	common/string/strformatrt.o

ifndef VBOX_WITHOUT_COMBINED_SOURCES
VBOXMOD_OBJS += \
	combined-agnostic1.o \
	combined-agnostic2.o \
	combined-os-specific.o
else  # VBOX_WITHOUT_COMBINED_SOURCES
VBOXMOD_OBJS += \
	r0drv/alloc-r0drv.o \
	r0drv/initterm-r0drv.o \
	r0drv/memobj-r0drv.o \
	r0drv/mpnotification-r0drv.o \
	r0drv/powernotification-r0drv.o \
	r0drv/linux/assert-r0drv-linux.o \
	r0drv/linux/alloc-r0drv-linux.o \
	r0drv/linux/initterm-r0drv-linux.o \
	r0drv/linux/memobj-r0drv-linux.o \
	r0drv/linux/memuserkernel-r0drv-linux.o \
	r0drv/linux/mp-r0drv-linux.o \
	r0drv/linux/mpnotification-r0drv-linux.o \
	r0drv/linux/process-r0drv-linux.o \
	r0drv/linux/rtStrFormatKernelAddress-r0drv-linux.o \
	r0drv/linux/semevent-r0drv-linux.o \
	r0drv/linux/semeventmulti-r0drv-linux.o \
	r0drv/linux/semfastmutex-r0drv-linux.o \
	r0drv/linux/semmutex-r0drv-linux.o \
	r0drv/linux/spinlock-r0drv-linux.o \
	r0drv/linux/thread-r0drv-linux.o \
	r0drv/linux/thread2-r0drv-linux.o \
	r0drv/linux/threadctxhooks-r0drv-linux.o \
	r0drv/linux/time-r0drv-linux.o \
	r0drv/linux/timer-r0drv-linux.o \
	r0drv/generic/semspinmutex-r0drv-generic.o \
	common/alloc/alloc.o \
	common/checksum/crc32.o \
	common/checksum/ipv4.o \
	common/checksum/ipv6.o \
	common/err/RTErrConvertFromErrno.o \
	common/err/RTErrConvertToErrno.o \
	common/err/errinfo.o \
	common/log/log.o \
	common/log/logellipsis.o \
	common/log/logrel.o \
	common/log/logrelellipsis.o \
	common/log/logcom.o \
	common/log/logformat.o \
	common/log/RTLogCreateEx.o \
	common/misc/RTAssertMsg1Weak.o \
	common/misc/RTAssertMsg2.o \
	common/misc/RTAssertMsg2Add.o \
	common/misc/RTAssertMsg2AddWeak.o \
	common/misc/RTAssertMsg2AddWeakV.o \
	common/misc/RTAssertMsg2Weak.o \
	common/misc/RTAssertMsg2WeakV.o \
	common/misc/assert.o \
	common/misc/handletable.o \
	common/misc/handletablectx.o \
	common/misc/thread.o \
	common/string/RTStrCat.o \
	common/string/RTStrCopy.o \
	common/string/RTStrCopyEx.o \
	common/string/RTStrCopyP.o \
	common/string/RTStrEnd.o \
	common/string/RTStrNCmp.o \
	common/string/RTStrNLen.o \
	common/string/stringalloc.o \
	common/string/strformat.o \
	common/string/RTStrFormat.o \
	common/string/strformatnum.o \
	common/string/strformattype.o \
	common/string/strprintf.o \
	common/string/strprintf-ellipsis.o \
	common/string/strprintf2.o \
	common/string/strprintf2-ellipsis.o \
	common/string/strtonum.o \
	common/table/avlpv.o \
	common/time/time.o \
	r0drv/linux/RTLogWriteDebugger-r0drv-linux.o \
	generic/RTAssertShouldPanic-generic.o \
	generic/RTLogWriteStdErr-stub-generic.o \
	generic/RTLogWriteStdOut-stub-generic.o \
	generic/RTLogWriteUser-generic.o \
	generic/RTMpGetArraySize-generic.o \
	generic/RTMpGetCoreCount-generic.o \
	generic/RTSemEventWait-2-ex-generic.o \
	generic/RTSemEventWaitNoResume-2-ex-generic.o \
	generic/RTSemEventMultiWait-2-ex-generic.o \
	generic/RTSemEventMultiWaitNoResume-2-ex-generic.o \
	generic/RTTimerCreate-generic.o \
	generic/errvars-generic.o \
	generic/mppresent-generic.o \
	generic/uuid-generic.o \
	VBox/log-vbox.o \
	VBox/RTLogWriteVmm-amd64-x86.o
 ifeq ($(VBOX_KBUILD_TARGET_ARCH),amd64)
VBOXMOD_OBJS += common/alloc/heapsimple.o
 endif
endif # VBOX_WITHOUT_COMBINED_SOURCES
ifeq ($(VBOX_KBUILD_TARGET_ARCH),x86)
VBOXMOD_OBJS += \
	math/gcc/divdi3.o \
	math/gcc/divmoddi4.o \
	math/gcc/moddi3.o \
	math/gcc/qdivrem.o \
	math/gcc/udivdi3.o \
	math/gcc/udivmoddi4.o \
	math/gcc/divdi3.o \
	math/gcc/umoddi3.o
endif
ifdef VBOX_WITH_NATIVE_DTRACE
VBOXMOD_OBJS += SUPDrvDTrace.o
endif

VBOXMOD_INCL  = \
	$(VBOXDRV_DIR) \
	$(VBOXDRV_DIR)include \
	$(VBOXDRV_DIR)r0drv/linux
ifdef VBOX_WITH_NATIVE_DTRACE
VBOXMOD_INCL += \
	/usr/include/linux \
	/usr/include
endif

VBOXMOD_DEFS = \
	RT_OS_LINUX \
	IN_RING0 \
	IN_RT_R0 \
	IN_SUP_R0 \
	VBOX \
	RT_WITH_VBOX \
	VBOX_WITH_HARDENING \
	SUPDRV_WITH_RELEASE_LOGGER \
	VBOX_WITHOUT_EFLAGS_AC_SET_IN_VBOXDRV \
	IPRT_WITHOUT_EFLAGS_AC_PRESERVING \
	VBOX_WITH_64_BITS_GUESTS # <-- must be consistent with Config.kmk!
ifndef CONFIG_VBOXDRV_FIXEDMAJOR
VBOXMOD_DEFS += CONFIG_VBOXDRV_AS_MISC
endif
ifdef VBOX_WITH_NATIVE_DTRACE
VBOXMOD_DEFS += VBOX_WITH_NATIVE_DTRACE
endif
ifdef VBOX_WITH_TEXT_MODMEM_HACK
VBOXMOD_DEFS += RTMEMALLOC_EXEC_HEAP VBOX_WITH_TEXT_MODMEM_HACK
endif
VBOXMOD_CFLAGS = -include $(VBOXDRV_DIR)include/VBox/SUPDrvMangling.h \
	-fno-omit-frame-pointer -fno-pie -Wno-declaration-after-statement


include $(obj)/Makefile-footer.gmk

check: $(VBOXMOD_0_TARGET)
	@if ! readelf -p __ksymtab_strings vboxdrv.ko | grep -E "\[.*\]  *(RT|g_..*RT.*)"; then \
	    echo "All exported IPRT symbols are properly renamed!"; \
	 else \
	    echo "error: Some exported IPRT symbols was not properly renamed! See above." >&2; \
	    false; \
	 fi

=== src/VBox/HostDrivers/VBoxNetFlt/freebsd/Makefile ===
# $Id: Makefile $
## @file
# Makefile for the VirtualBox FreeBSD Host Driver.
#

#
# Copyright (C) 2006-2023 Oracle and/or its affiliates.
#
# This file is part of VirtualBox base platform packages, as
# available from https://www.virtualbox.org.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, in version 3 of the
# License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <https://www.gnu.org/licenses>.
#
# The contents of this file may alternatively be used under the terms
# of the Common Development and Distribution License Version 1.0
# (CDDL), a copy of it is provided in the "COPYING.CDDL" file included
# in the VirtualBox distribution, in which case the provisions of the
# CDDL are applicable instead of those of the GPL.
#
# You may elect to license modified versions of this file under the
# terms and conditions of either the GPL or the CDDL or both.
#
# SPDX-License-Identifier: GPL-3.0-only OR CDDL-1.0
#

KMOD = vboxnetflt

CFLAGS += -DRT_OS_FREEBSD -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -Iinclude -I. -Ir0drv -w -DVBOX_WITH_HARDENING -DVIMAGE

.if (${MACHINE_ARCH} == "i386")
 CFLAGS += -DRT_ARCH_X86
.elif (${MACHINE_ARCH} == "amd64")
 CFLAGS += -DRT_ARCH_AMD64
.endif

SRCS = \
	VBoxNetFlt-freebsd.c \
	VBoxNetFlt.c \
	SUPR0IdcClient-freebsd.c \
	SUPR0IdcClient.c \
	SUPR0IdcClientComponent.c

SRCS += device_if.h bus_if.h opt_netgraph.h

.include <bsd.kmod.mk>

=== src/VBox/HostDrivers/VBoxPci/linux/Makefile ===
# $Id: Makefile $
## @file
# Makefile for the VirtualBox Linux Host PCI Driver.
#

#
# Copyright (C) 2011-2023 Oracle and/or its affiliates.
#
# This file is part of VirtualBox base platform packages, as
# available from https://www.virtualbox.org.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, in version 3 of the
# License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <https://www.gnu.org/licenses>.
#
# The contents of this file may alternatively be used under the terms
# of the Common Development and Distribution License Version 1.0
# (CDDL), a copy of it is provided in the "COPYING.CDDL" file included
# in the VirtualBox distribution, in which case the provisions of the
# CDDL are applicable instead of those of the GPL.
#
# You may elect to license modified versions of this file under the
# terms and conditions of either the GPL or the CDDL or both.
#
# SPDX-License-Identifier: GPL-3.0-only OR CDDL-1.0
#


# Linux kbuild sets this to our source directory if we are called from there
obj ?= $(CURDIR)
include $(obj)/Makefile-header.gmk
VBOXPCI_DIR := $(VBOX_MODULE_SRC_DIR)

# Allow building directly from the subdirectory without assuming the toplevel
# makefile has done the copying. Not the default use case, but can be handy.
ifndef KBUILD_EXTRA_SYMBOLS
KBUILD_EXTRA_SYMBOLS=$(abspath $(VBOXPCI_DIR)/../vboxdrv/Module.symvers)
endif

# override is required by the Debian guys
VBOXMOD_NAME = vboxpci
VBOXMOD_OBJS = \
	linux/VBoxPci-linux.o \
	VBoxPci.o \
	SUPR0IdcClient.o \
	SUPR0IdcClientComponent.o \
	linux/SUPR0IdcClient-linux.o
ifeq ($(VBOX_KBUILD_TARGET_ARCH),x86)
VBOXMOD_OBJS += \
	math/gcc/divdi3.o \
	math/gcc/moddi3.o \
	math/gcc/qdivrem.o \
	math/gcc/udivdi3.o \
	math/gcc/udivmoddi4.o \
	math/gcc/divdi3.o \
	math/gcc/umoddi3.o
endif
VBOXMOD_INCL = \
	$(VBOXPCI_DIR) \
	$(VBOXPCI_DIR)include \
	$(VBOXPCI_DIR)r0drv/linux
VBOXMOD_DEFS = \
	RT_OS_LINUX \
	IN_RING0 \
	IN_RT_R0 \
	IN_SUP_R0 \
	VBOX \
	RT_WITH_VBOX \
	VBOX_WITH_HARDENING
VBOXMOD_CFLAGS = -include $(VBOXPCI_DIR)include/VBox/SUPDrvMangling.h -fno-pie

include $(obj)/Makefile-footer.gmk

=== src/VBox/Additions/common/VBoxGuest/freebsd/Makefile ===
# $Id: Makefile $
## @file
# VirtualBox Guest Additions Module Makefile.
#

#
# Copyright (C) 2006-2023 Oracle and/or its affiliates.
#
# This file is part of VirtualBox base platform packages, as
# available from https://www.virtualbox.org.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, in version 3 of the
# License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <https://www.gnu.org/licenses>.
#
# The contents of this file may alternatively be used under the terms
# of the Common Development and Distribution License Version 1.0
# (CDDL), a copy of it is provided in the "COPYING.CDDL" file included
# in the VirtualBox distribution, in which case the provisions of the
# CDDL are applicable instead of those of the GPL.
#
# You may elect to license modified versions of this file under the
# terms and conditions of either the GPL or the CDDL or both.
#
# SPDX-License-Identifier: GPL-3.0-only OR CDDL-1.0
#
KMOD = vboxguest

CFLAGS += -DRT_OS_FREEBSD -DIN_RING0 -DIN_RT_R0 -DIN_SUP_R0 -DVBOX -DRT_WITH_VBOX -Iinclude -I. -Ir0drv -w -DVBGL_VBOXGUEST -DVBOX_WITH_HGCM -DVBOX_WITH_64_BITS_GUESTS

.if (${MACHINE_ARCH} == "i386")
 CFLAGS += -DRT_ARCH_X86
.elif (${MACHINE_ARCH} == "amd64")
 CFLAGS += -DRT_ARCH_AMD64
.endif

SRCS = \
	VBoxGuest.c \
	VBoxGuest-freebsd.c \
	VBoxGuestR0LibGenericRequest.c \
	VBoxGuestR0LibHGCMInternal.c \
	VBoxGuestR0LibInit.c \
	VBoxGuestR0LibPhysHeap.c \
	VBoxGuestR0LibVMMDev.c

# Include needed interface headers so they are created during build
SRCS += \
	device_if.h \
	bus_if.h \
	pci_if.h \

.PATH:	${.CURDIR}/alloc
SRCS += \
	heapsimple.c

.PATH:	${.CURDIR}/common/err
SRCS += \
	RTErrConvertFromErrno.c \
	RTErrConvertToErrno.c \
	errinfo.c

.PATH:	${.CURDIR}/common/log
SRCS += \
	log.c \
	logellipsis.c \
	logrel.c \
	logrelellipsis.c \
	logcom.c \
	logformat.c \
	RTLogCreateEx.c

.PATH:	${.CURDIR}/common/misc
SRCS += \
	RTAssertMsg1Weak.c \
	RTAssertMsg2.c \
	RTAssertMsg2Add.c \
	RTAssertMsg2AddWeak.c \
	RTAssertMsg2AddWeakV.c \
	RTAssertMsg2Weak.c \
	RTAssertMsg2WeakV.c \
	assert.c \
	handletable.c \
	handletablectx.c \
	once.c \
	thread.c

.PATH:	${.CURDIR}/common/string
SRCS += \
	RTStrCat.c \
	RTStrCmp.c \
	RTStrCopy.c \
	RTStrCopyEx.c \
	RTStrCopyP.c \
	RTStrEnd.c \
	RTStrICmpAscii.c \
	RTStrNICmpAscii.c \
	RTStrNCmp.c \
	RTStrNLen.c \
	stringalloc.c \
	strformat.c \
	RTStrFormat.c \
	strformatnum.c \
	strformatrt.c \
	strformattype.c \
	strprintf.c \
	strprintf-ellipsis.c \
	strprintf2.c \
	strprintf2-ellipsis.c \
	strtonum.c \
	memchr.c \
	utf-8.c

.PATH:	${.CURDIR}/common/rand
SRCS += \
	rand.c \
	randadv.c \
	randparkmiller.c

.PATH:	${.CURDIR}/common/path
SRCS += \
	RTPathStripFilename.c

.PATH:	${.CURDIR}/common/checksum
SRCS += \
	crc32.c \
	ipv4.c

.PATH:	${.CURDIR}/common/table
SRCS += \
	avlpv.c

.PATH:	${.CURDIR}/common/time
SRCS += \
	time.c

.PATH:	${.CURDIR}/generic
SRCS += \
	uuid-generic.c \
	RTAssertShouldPanic-generic.c \
	RTLogWriteDebugger-generic.c \
	RTLogWriteStdOut-stub-generic.c \
	RTLogWriteStdErr-stub-generic.c \
	RTRandAdvCreateSystemFaster-generic.c \
	RTRandAdvCreateSystemTruer-generic.c \
	RTSemEventWait-2-ex-generic.c \
	RTSemEventWaitNoResume-2-ex-generic.c \
	RTSemEventMultiWait-2-ex-generic.c \
	RTSemEventMultiWaitNoResume-2-ex-generic.c \
	RTTimerCreate-generic.c \
	rtStrFormatKernelAddress-generic.c \
	timer-generic.c \
	errvars-generic.c \
	mppresent-generic.c

.PATH:	${.CURDIR}/r0drv
SRCS += \
	alloc-r0drv.c \
	initterm-r0drv.c \
	memobj-r0drv.c \
	powernotification-r0drv.c

.PATH:	${.CURDIR}/r0drv/freebsd
SRCS += \
	assert-r0drv-freebsd.c \
	alloc-r0drv-freebsd.c \
	initterm-r0drv-freebsd.c \
	memobj-r0drv-freebsd.c \
	memuserkernel-r0drv-freebsd.c \
	mp-r0drv-freebsd.c \
	process-r0drv-freebsd.c \
	semevent-r0drv-freebsd.c \
	semeventmulti-r0drv-freebsd.c \
	semfastmutex-r0drv-freebsd.c \
	semmutex-r0drv-freebsd.c \
	spinlock-r0drv-freebsd.c \
	thread-r0drv-freebsd.c \
	thread2-r0drv-freebsd.c \
	time-r0drv-freebsd.c

.PATH:	${.CURDIR}/r0drv/generic
SRCS += \
	semspinmutex-r0drv-generic.c \
	mpnotification-r0drv-generic.c \
	RTMpIsCpuWorkPending-r0drv-generic.c

.PATH:	${.CURDIR}/VBox
SRCS += \
	log-vbox.c \
	logbackdoor.c \
	RTLogWriteVmm-amd64-x86.

.include <bsd.kmod.mk>

=== src/VBox/Additions/common/VBoxGuest/linux/Makefile ===
# $Id: Makefile $
## @file
# VirtualBox Guest Additions Module Makefile.
#

#
# Copyright (C) 2006-2023 Oracle and/or its affiliates.
#
# This file is part of VirtualBox base platform packages, as
# available from https://www.virtualbox.org.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, in version 3 of the
# License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <https://www.gnu.org/licenses>.
#
# The contents of this file may alternatively be used under the terms
# of the Common Development and Distribution License Version 1.0
# (CDDL), a copy of it is provided in the "COPYING.CDDL" file included
# in the VirtualBox distribution, in which case the provisions of the
# CDDL are applicable instead of those of the GPL.
#
# You may elect to license modified versions of this file under the
# terms and conditions of either the GPL or the CDDL or both.
#
# SPDX-License-Identifier: GPL-3.0-only OR CDDL-1.0
#

# Linux kbuild sets this to our source directory if we are called from there
obj ?= $(CURDIR)
include $(obj)/Makefile-header.gmk
VBOXGUEST_DIR = $(VBOX_MODULE_SRC_DIR)

#VBOX_WITHOUT_COMBINED_SOURCES=1

VBOXMOD_NAME = vboxguest
VBOXMOD_OBJS = \
	VBoxGuest-linux.o \
	VBoxGuest-common.o
ifndef VBOX_WITHOUT_COMBINED_SOURCES
VBOXMOD_OBJS += \
	common/string/strformatrt.o \
	combined-agnostic.o \
	combined-os-specific.o
else  # VBOX_WITHOUT_COMBINED_SOURCES
VBOXMOD_OBJS += \
	VBoxGuestR0LibGenericRequest.o \
	VBoxGuestR0LibHGCMInternal.o \
	VBoxGuestR0LibInit.o \
	VBoxGuestR0LibPhysHeap.o \
	VBoxGuestR0LibVMMDev.o \
	r0drv/alloc-r0drv.o \
	r0drv/initterm-r0drv.o \
	r0drv/memobj-r0drv.o \
	r0drv/mpnotification-r0drv.o \
	r0drv/powernotification-r0drv.o \
	r0drv/linux/alloc-r0drv-linux.o \
	r0drv/linux/assert-r0drv-linux.o \
	r0drv/linux/initterm-r0drv-linux.o \
	r0drv/linux/memobj-r0drv-linux.o \
	r0drv/linux/memuserkernel-r0drv-linux.o \
	r0drv/linux/mp-r0drv-linux.o \
	r0drv/linux/mpnotification-r0drv-linux.o \
	r0drv/linux/process-r0drv-linux.o \
	r0drv/linux/semevent-r0drv-linux.o \
	r0drv/linux/semeventmulti-r0drv-linux.o \
	r0drv/linux/semfastmutex-r0drv-linux.o \
	r0drv/linux/semmutex-r0drv-linux.o \
	r0drv/linux/spinlock-r0drv-linux.o \
	r0drv/linux/thread-r0drv-linux.o \
	r0drv/linux/thread2-r0drv-linux.o \
	r0drv/linux/time-r0drv-linux.o \
	r0drv/linux/timer-r0drv-linux.o \
	r0drv/linux/RTLogWriteDebugger-r0drv-linux.o \
	r0drv/generic/semspinmutex-r0drv-generic.o \
	common/alloc/alloc.o \
	common/checksum/crc32.o \
	common/err/RTErrConvertFromErrno.o \
	common/err/RTErrConvertToErrno.o \
	common/err/errinfo.o \
	common/log/log.o \
	common/log/logellipsis.o \
	common/log/logrel.o \
	common/log/logrelellipsis.o \
	common/log/logcom.o \
	common/log/logformat.o \
	common/log/RTLogCreateEx.o \
	common/misc/RTAssertMsg1Weak.o \
	common/misc/RTAssertMsg2.o \
	common/misc/RTAssertMsg2Add.o \
	common/misc/RTAssertMsg2AddWeak.o \
	common/misc/RTAssertMsg2AddWeakV.o \
	common/misc/RTAssertMsg2Weak.o \
	common/misc/RTAssertMsg2WeakV.o \
	common/misc/assert.o \
	common/misc/thread.o \
	common/string/RTStrCat.o \
	common/string/RTStrCmp.o \
	common/string/RTStrCopy.o \
	common/string/RTStrCopyEx.o \
	common/string/RTStrCopyP.o \
	common/string/RTStrEnd.o \
	common/string/RTStrICmpAscii.o \
	common/string/RTStrNICmpAscii.o \
	common/string/RTStrNCmp.o \
	common/string/RTStrNLen.o \
	common/string/stringalloc.o \
	common/string/strformat.o \
	common/string/RTStrFormat.o \
	common/string/strformatnum.o \
	common/string/strformatrt.o \
	common/string/strformattype.o \
	common/string/strprintf.o \
	common/string/strprintf-ellipsis.o \
	common/string/strprintf2.o \
	common/string/strprintf2-ellipsis.o \
	common/string/strtonum.o \
	common/string/utf-8.o \
	common/table/avlpv.o \
	common/time/time.o \
	generic/RTAssertShouldPanic-generic.o \
	generic/RTLogWriteStdErr-stub-generic.o \
	generic/RTLogWriteStdOut-stub-generic.o \
	generic/RTMpGetCoreCount-generic.o \
	generic/RTSemEventWait-2-ex-generic.o \
	generic/RTSemEventWaitNoResume-2-ex-generic.o \
	generic/RTSemEventMultiWait-2-ex-generic.o \
	generic/RTSemEventMultiWaitNoResume-2-ex-generic.o \
	generic/rtStrFormatKernelAddress-generic.o \
	generic/errvars-generic.o \
	generic/mppresent-generic.o \
	VBox/log-vbox.o \
	VBox/logbackdoor.o \
	VBox/RTLogWriteVmm-amd64-x86.o
 ifeq ($(VBOX_KBUILD_TARGET_ARCH),amd64)
VBOXMOD_OBJS += common/alloc/heapsimple.o
 endif
endif # VBOX_WITHOUT_COMBINED_SOURCES
ifeq ($(VBOX_KBUILD_TARGET_ARCH),x86)
VBOXMOD_OBJS += \
	common/math/gcc/divdi3.o \
	common/math/gcc/divmoddi4.o \
	common/math/gcc/moddi3.o \
	common/math/gcc/udivdi3.o \
	common/math/gcc/udivmoddi4.o \
	common/math/gcc/umoddi3.o \
	common/math/gcc/qdivrem.o
endif

VBOXMOD_DEFS = \
	VBOX \
	RT_OS_LINUX \
	IN_RING0 \
	IN_RT_R0 \
	IN_GUEST \
	IN_GUEST_R0 \
	IN_MODULE \
	RT_WITH_VBOX \
	VBGL_VBOXGUEST \
	VBOX_WITH_HGCM
ifeq ($(VBOX_KBUILD_TARGET_ARCH),amd64)
VBOXMOD_DEFS += VBOX_WITH_64_BITS_GUESTS
endif
ifeq ($(KERN_VERSION),24)
VBOXMOD_DEFS += EXPORT_SYMTAB
endif

VBOXMOD_INCL = \
	$(VBOXGUEST_DIR) \
	$(VBOXGUEST_DIR)include \
	$(VBOXGUEST_DIR)r0drv/linux

VBOXMOD_CFLAGS := $(call VBOX_GCC_CHECK_CC,-Wno-declaration-after-statement,-Wno-declaration-after-statement,,)
VBOXMOD_CFLAGS += $(call VBOX_GCC_CHECK_CC,-fno-pie,-fno-pie,,)
ifneq ($(KERN_VERSION),24)
VBOXMOD_CFLAGS += -include $(VBOXGUEST_DIR)include/VBox/VBoxGuestMangling.h
endif

VBOXMOD_CLEAN = \
	. \
	linux \
	r0drv \
	generic \
	r0drv/linux \
	r0drv/generic \
	VBox \
	common/alloc \
	common/err \
	common/log \
	common/math/gcc \
	common/misc \
	common/string \
	common/table \
	common/time

include $(obj)/Makefile-footer.gmk

check: $(VBOXMOD_NAME)
	@if ! readelf -p __ksymtab_strings vboxguest.ko | grep -E "\[.*\]  *(RT|g_..*RT.*)"; then \
	    echo "All exported IPRT symbols are properly renamed!"; \
	 else \
	    echo "error: Some exported IPRT symbols was not properly renamed! See above." >&2; \
	    false; \
	 fi

=== src/VBox/Main/webservice/samples/java/jax-ws/Makefile ===
# $Id: Makefile $
## @file
# Makefile for java samples.
#


#
# Copyright (C) 2008-2023 Oracle and/or its affiliates.
#
# Permission is hereby granted, free of charge, to any person
# obtaining a copy of this software and associated documentation
# files (the "Software"), to deal in the Software without
# restriction, including without limitation the rights to use,
# copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following
# conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT.  IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.
#

JAVA16=java
JAVA15=/usr/lib/jvm/java-1.5.0-sun/bin/java
JAVAC = javac
JAVAC15 = javac -target 1.5
JAVAC16 = javac -target 1.6
MKDIR = mkdir
RM = rm

DEST16 = ./gen16
DEST15 = ./gen15

VBOXWS15 = ../lib/vboxws_java15.jar
VBOXWS16 = ../lib/vboxws_java16.jar

JAXWS=./jaxws-ri
JAXWSLIBS=$(JAXWS)/lib/jaxws-api.jar:$(JAXWS)/lib/jaxb-api.jar:$(JAXWS)/lib/jsr181-api.jar:$(JAXWS)/lib/jaxws-rt.jar

all: run16

metric: metric16

$(DEST16)/clienttest.class: clienttest.java
	$(MKDIR) -p $(DEST16)
	$(JAVAC16) -d $(DEST16) -cp $(VBOXWS16) $<

$(DEST15)/clienttest.class: clienttest.java
	$(MKDIR) -p $(DEST15)
	$(JAVAC15) -d $(DEST15) -cp $(VBOXWS15):$(JAXWSLIBS) $<

run16: $(DEST16)/clienttest.class
	$(JAVA16) -cp $(VBOXWS16):$(DEST16) clienttest show vms

run15: $(DEST15)/clienttest.class
	$(JAVA15) -cp $(VBOXWS15):$(JAXWSLIBS):$(DEST15) clienttest show vms

$(DEST16)/metrictest.class: metrictest.java
	$(MKDIR) -p $(DEST16)
	$(JAVAC16) -d $(DEST16) -cp $(VBOXWS16) $<

$(DEST15)/metrictest.class: metrictest.java
	$(MKDIR) -p $(DEST15)
	$(JAVAC15) -d $(DEST15) -cp $(VBOXWS15):$(JAXWSLIBS) $<

metric16: $(DEST16)/metrictest.class
	-$(JAVA16) -cp $(VBOXWS16):$(DEST16) metrictest

metric15: $(DEST15)/metrictest.class
	-$(JAVA15) -cp $(VBOXWS15):$(JAXWSLIBS):$(DEST15) metrictest

clean:
	$(RM) -rf $(DEST15)  $(DEST16)
